Bug 1357510 - Erlang Port Mapper Daemon Activation Socket fails to start
Summary: Erlang Port Mapper Daemon Activation Socket fails to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-18 12:01 UTC by Zoltan Boszormenyi
Modified: 2018-11-27 17:12 UTC (History)
6 users (show)

Fixed In Version: erlang-20.3.8.14-1.fc29 erlang-20.3.8.14-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-27 03:30:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1293128 None CLOSED SELinux is preventing epmd from 'name_bind' accesses on the tcp_socket port 4369. 2018-11-20 14:46:40 UTC

Description Zoltan Boszormenyi 2016-07-18 12:01:12 UTC
Description of problem:

I was trying to enable SSL in rabbitmq-server but it requires epmd to run.
SELinux prevents epmd to start.

Version-Release number of selected component (if applicable):

erlang-18.3.4-1.fc24.x86_64
erlang-erts-18.3.4-1.fc24.x86_64
selinux-policy-targeted-3.13.1-191.fc24.3.noarch

How reproducible:

Always.

Steps to Reproduce:
1. dnf install rabbitmq-server
2. systemctl enable epmd.socket epmd.service rabbitmq-server
3. configure SSL options in /etc/rabbitmq/rabbitmq.config
4. reboot

Actual results:

epmd.service has a dependency on epmd.socket but it cannot be activated:

audit[1]: AVC avc:  denied  { create } for  pid=1 comm="systemd" scontext=system_u:system_r:init_t:s0 tcontext=system_u:system_r:unconfined_service_t:s0 tclass=tcp_socket permissive=0

There is no setsebool toggle to allow systemd to open TCP sockets.

Expected results:

EPMD daemon should be able to start without socket activation.

Additional info:

After changing the epmd.service to not require systemd socket activation
with this patch below, but #1293128 occurs:

audit[7686]: AVC avc:  denied  { name_connect } for  pid=7686 comm="epmd" dest=4369 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:epmd_port_t:s0 tclass=tcp_socket permissive=0

The patch is:

--- epmd.service.orig	2016-07-18 13:55:26.584086294 +0200
+++ epmd.service	2016-07-18 13:57:40.336416375 +0200
@@ -1,11 +1,11 @@
 [Unit]
 Description=Erlang Port Mapper Daemon
 After=network.target
-Requires=epmd.socket
+#Requires=epmd.socket
 
 [Service]
-ExecStart=/usr/bin/epmd -systemd
-#ExecStop=/usr/bin/epmd -kill
+ExecStart=/usr/bin/epmd -daemon
+ExecStop=/usr/bin/epmd -kill
 Type=notify
 StandardOutput=journal
 StandardError=journal

Comment 1 Fedora End Of Life 2017-07-25 21:51:47 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 15:40:16 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Jan Kurik 2018-05-31 09:04:11 UTC
This bug is currently reported against a Fedora version which is already unsuported.
I am changing the version to '27', the latest supported release.

Please check whether this bug is still an issue on the '27' release.
If you find this bug not being applicable on this release, please close it.

Comment 4 Fedora Update System 2018-11-16 11:36:00 UTC
erlang-20.3.8.14-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d99109c896

Comment 5 Fedora Update System 2018-11-16 11:36:07 UTC
erlang-20.3.8.14-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1e910938e2

Comment 6 Fedora Update System 2018-11-17 04:44:39 UTC
erlang-20.3.8.14-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d99109c896

Comment 7 Fedora Update System 2018-11-17 06:39:56 UTC
erlang-20.3.8.14-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1e910938e2

Comment 8 Fedora Update System 2018-11-27 03:30:25 UTC
erlang-20.3.8.14-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-11-27 17:12:01 UTC
erlang-20.3.8.14-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.